
/**
 * A class to track a student's name and a list of numeric grades for
 * that student
 * 
 * @author Jim Teresco
 * 
 * $Id: StudentGrades.java 2477 2014-11-10 02:54:02Z terescoj $
 */

import java.util.ArrayList;

public class StudentGrades {
    
    // we have a student's name and a list of that student's grades
    // as the fields for this class
    private String name;
    private ArrayList<Double> grades;
    
    // construct a new student, who has no grades when starting out
    public StudentGrades(String name) {
        
        this.name = name;
        grades = new ArrayList<Double>();
    }
    
    // add a grade to a StudentGrades
    public void addGrade(double grade) {
        
        grades.add(grade);
    }

    // name accessor
    public String getName() {
        
        return name;
    }
    
    // we will define two StudentGrades objects as equal
    // if they have the same name field
    public boolean equals(Object o) {
        
        StudentGrades other = (StudentGrades)o;
        return other.name.equals(name);
    }
    
    // a meaningful toString method
    public String toString() {
        StringBuilder s = new StringBuilder(name + ":");
        for (double score : grades) {
            s.append(" " + score);
        }
        return s.toString();
    }
}
