import java.util.ArrayList;
import java.util.Random;

/*
 * A ButtonCollectoin is a collection of NoisyButtons for use in implementing
 * a program that plays the game "Simon".  The class provides a method to add
 * a button or to select a random button from the group.
 * 
 * Original by Williams College Computer Science Faculty
 * Modified by Jim Teresco, The College of Saint Rose, CSC 252, Fall 2014
 * 
 * $Id: ButtonCollection.java 2477 2014-11-10 02:54:02Z terescoj $
 * 
 */

public class ButtonCollection {

    private ArrayList<NoisyButton> buttons; // Array to hold buttons

    // Random number generator used to
    // pick random buttons
    private Random buttonPicker = new Random();

    //  Construct button panel, just allocate the empty ArrayList to start
    public ButtonCollection() {
        
        buttons = new ArrayList<NoisyButton>();
    }

    // add a button to the collection
    public void add(NoisyButton button) {
        
        buttons.add(button);
    }
    
    // return a random button from the panel
    public NoisyButton getRandomButton() {
        
            return buttons.get(buttonPicker.nextInt(buttons.size()));
    }
}